
Partial Class Customers_EmailArticleSent
	Inherits CharterCMSPage	'JPIRKEY 4-2010 Updating all pages to inherit from a single source.

    Protected Sub imgClose_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnClose.Click
        Dim articleID As String
        articleID = Request.QueryString("supportarticleid")
        Response.Redirect("Support.aspx?supportarticleid=" + articleID)
    End Sub

    Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
        Dim url As String = "Support.aspx"
        Dim articleID As Integer = 0

        If Not Request.QueryString("supportarticleid") Is Nothing Then
            If Integer.TryParse(Request.QueryString("supportarticleid"), articleID) Then
                url = "Support.aspx?supportarticleid=" + articleID.ToString()
            End If
        End If

        Page.ClientScript.RegisterClientScriptBlock(Me.GetType(), "RedirectToSupport", Utilities.Javascript.RedirectoURL(url))
    End Sub
End Class
